RechnMgmUserArea::Engine.routes.draw do
    get 'exports/search'
    get 'exports/generate_excel'

    #get "users/:id" => "users#edit"
    resources :users

    scope '/api', :constraints => { :format => 'json' }  do
        scope '/v1' do
            get 'getUsers'              => "users#index"
            get 'getUser/:id'           => "users#show"
            get 'getFavorites'          => "users#favorites"
            put 'setFavorite/:id'       => "users#set_favorite"
            put 'removeFavorite/:id'    => "users#remove_favorite"
        end
    end
end
